org.icefaces.ace.component.dataexporter

## Enum DataExporterBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<DataExporterBase.PropertyKeys>
  - - org.icefaces.ace.component.dataexporter.DataExporterBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DataExporterBase.PropertyKeys>
  Enclosing class:
    DataExporterBase

      protected static enum DataExporterBase.PropertyKeys
      extends java.lang.Enum<DataExporterBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `customExporter`
    `encoding`
    `excludeColumns`
    `expandedOnly`
    `fileName`
    `includeFooters`
    `includeHeaders`
    `label`
    `pageOnly`
    `pdfFont`
    `postProcessor`
    `preProcessor`
    `selectedRowsOnly`
    `style`
    `styleClass`
    `target`
    `type`
    `userColumnOrder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static DataExporterBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataExporterBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final DataExporterBase.PropertyKeys accesskey

    - #### customExporter

          public static final DataExporterBase.PropertyKeys customExporter

    - #### encoding

          public static final DataExporterBase.PropertyKeys encoding

    - #### excludeColumns

          public static final DataExporterBase.PropertyKeys excludeColumns

    - #### expandedOnly

          public static final DataExporterBase.PropertyKeys expandedOnly

    - #### fileName

          public static final DataExporterBase.PropertyKeys fileName

    - #### includeFooters

          public static final DataExporterBase.PropertyKeys includeFooters

    - #### includeHeaders

          public static final DataExporterBase.PropertyKeys includeHeaders

    - #### label

          public static final DataExporterBase.PropertyKeys label

    - #### pageOnly

          public static final DataExporterBase.PropertyKeys pageOnly

    - #### pdfFont

          public static final DataExporterBase.PropertyKeys pdfFont

    - #### postProcessor

          public static final DataExporterBase.PropertyKeys postProcessor

    - #### preProcessor

          public static final DataExporterBase.PropertyKeys preProcessor

    - #### selectedRowsOnly

          public static final DataExporterBase.PropertyKeys selectedRowsOnly

    - #### style

          public static final DataExporterBase.PropertyKeys style

    - #### styleClass

          public static final DataExporterBase.PropertyKeys styleClass

    - #### target

          public static final DataExporterBase.PropertyKeys target

    - #### type

          public static final DataExporterBase.PropertyKeys type

    - #### userColumnOrder

          public static final DataExporterBase.PropertyKeys userColumnOrder

  - ### Method Detail

    - #### values

          public static DataExporterBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataExporterBase.PropertyKeys c : DataExporterBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataExporterBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DataExporterBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.